import type { ReactElement } from 'react';
import React from 'react';
import type { IconBaseProps } from './IconBase';
declare type IconBaseRef = {
    ref?: React.Ref<HTMLSpanElement>;
};
interface ThirdIconProps extends IconBaseProps, IconBaseRef {
    component: ReactElement;
}
interface SVGSymbolIconProps extends IconBaseProps, IconBaseRef {
    symbolId: string;
}
export declare type IconProps = ThirdIconProps | SVGSymbolIconProps;
declare function Icon(props: ThirdIconProps): ReactElement;
declare function Icon(props: SVGSymbolIconProps): ReactElement;
export default Icon;
