import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["svgProps"];
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var FastForward = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var svgProps = _ref.svgProps,
    restProps = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(IconBase, _objectSpread(_objectSpread({
    "aria-label": "fast-forward"
  }, restProps), {}, {
    ref: ref
  }), /*#__PURE__*/React.createElement("svg", _objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: "1em",
    height: "1em",
    fill: "currentColor",
    viewBox: "0 0 16 16"
  }, svgProps), /*#__PURE__*/React.createElement("path", {
    d: "M6.804 8 1 4.633v6.734L6.804 8Zm.792-.696a.802.802 0 0 1 0 1.392l-6.363 3.692C.713 12.69 0 12.345 0 11.692V4.308c0-.653.713-.998 1.233-.696l6.363 3.692Z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.804 8 9 4.633v6.734L14.804 8Zm.792-.696a.802.802 0 0 1 0 1.392l-6.363 3.692C8.713 12.69 8 12.345 8 11.692V4.308c0-.653.713-.998 1.233-.696l6.363 3.692Z"
  })));
});
FastForward.displayName = 'FastForward';
export default FastForward;